<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>EllipsoidRegion (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EllipsoidRegion (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/CylinderRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/EllipsoidRegion.html" target="_top">Frames</a></li>
<li><a href="EllipsoidRegion.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.regions.AbstractRegion">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions</div>
<h2 title="Class EllipsoidRegion" class="title">Class EllipsoidRegion</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">com.sk89q.worldedit.regions.AbstractRegion</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.regions.EllipsoidRegion</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>, java.lang.Cloneable, java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">EllipsoidRegion</span>
extends <a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></pre>
<div class="block">Represents an ellipsoid region.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.regions.AbstractRegion">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.regions.<a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></h3>
<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#world">world</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#EllipsoidRegion-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.Vector3-">EllipsoidRegion</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos1,
               <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos2)</code>
<div class="block">Construct a new instance of this ellipsoid region.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#EllipsoidRegion-com.sk89q.worldedit.regions.EllipsoidRegion-">EllipsoidRegion</a></span>(<a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a>&nbsp;ellipsoidRegion)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#EllipsoidRegion-com.sk89q.worldedit.world.World-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.Vector3-">EllipsoidRegion</a></span>(<a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
               <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center,
               <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;radius)</code>
<div class="block">Construct a new instance of this ellipsoid region.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#clone--">clone</a></span>()</code>
<div class="block">Make a clone of the region.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#contains-com.sk89q.worldedit.math.BlockVector3-">contains</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Returns true based on whether the region contains the point.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#contract-com.sk89q.worldedit.math.BlockVector3...-">contract</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>...&nbsp;changes)</code>
<div class="block">Contract the region.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#expand-com.sk89q.worldedit.math.BlockVector3...-">expand</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>...&nbsp;changes)</code>
<div class="block">Expand the region.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#extendRadius-com.sk89q.worldedit.math.Vector3-">extendRadius</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;minRadius)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getArea--">getArea</a></span>()</code>
<div class="block">Get the number of blocks in the region.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getCenter--">getCenter</a></span>()</code>
<div class="block">Get the center.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getChunks--">getChunks</a></span>()</code>
<div class="block">Get a list of chunks.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getHeight--">getHeight</a></span>()</code>
<div class="block">Get Y-size.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getLength--">getLength</a></span>()</code>
<div class="block">Get Z-size.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getMaximumPoint--">getMaximumPoint</a></span>()</code>
<div class="block">Get the upper point of a region.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getMinimumPoint--">getMinimumPoint</a></span>()</code>
<div class="block">Get the lower point of a region.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getRadius--">getRadius</a></span>()</code>
<div class="block">Get the radii.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#getWidth--">getWidth</a></span>()</code>
<div class="block">Get X-size.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#setCenter-com.sk89q.worldedit.math.BlockVector3-">setCenter</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center)</code>
<div class="block">Set the center.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#setRadius-com.sk89q.worldedit.math.Vector3-">setRadius</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;radius)</code>
<div class="block">Set the radii.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#shift-com.sk89q.worldedit.math.BlockVector3-">shift</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;change)</code>
<div class="block">Shift the region.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html#toString--">toString</a></span>()</code>
<div class="block">Returns string representation in the format
 "(centerX, centerY, centerZ) - (radiusX, radiusY, radiusZ)".</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.regions.AbstractRegion">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.regions.<a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></h3>
<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getChunkCubes--">getChunkCubes</a>, <a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getWorld--">getWorld</a>, <a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#iterator--">iterator</a>, <a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#polygonize-int-">polygonize</a>, <a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EllipsoidRegion-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EllipsoidRegion</h4>
<pre>public&nbsp;EllipsoidRegion(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos1,
                       <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos2)</pre>
<div class="block">Construct a new instance of this ellipsoid region.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos1</code> - the first position</dd>
<dd><code>pos2</code> - the second position</dd>
</dl>
</li>
</ul>
<a name="EllipsoidRegion-com.sk89q.worldedit.world.World-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EllipsoidRegion</h4>
<pre>public&nbsp;EllipsoidRegion(<a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                       <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center,
                       <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;radius)</pre>
<div class="block">Construct a new instance of this ellipsoid region.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dd><code>center</code> - the center</dd>
<dd><code>radius</code> - the radius</dd>
</dl>
</li>
</ul>
<a name="EllipsoidRegion-com.sk89q.worldedit.regions.EllipsoidRegion-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EllipsoidRegion</h4>
<pre>public&nbsp;EllipsoidRegion(<a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a>&nbsp;ellipsoidRegion)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMinimumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumPoint</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMinimumPoint()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getMinimumPoint--">Region</a></code></span></div>
<div class="block">Get the lower point of a region.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>min. point</dd>
</dl>
</li>
</ul>
<a name="getMaximumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumPoint</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMaximumPoint()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getMaximumPoint--">Region</a></code></span></div>
<div class="block">Get the upper point of a region.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>max. point</dd>
</dl>
</li>
</ul>
<a name="getArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArea</h4>
<pre>public&nbsp;int&nbsp;getArea()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getArea--">AbstractRegion</a></code></span></div>
<div class="block">Get the number of blocks in the region.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getArea--">getArea</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getArea--">getArea</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of blocks</dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public&nbsp;int&nbsp;getWidth()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getWidth--">AbstractRegion</a></code></span></div>
<div class="block">Get X-size.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getWidth--">getWidth</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getWidth--">getWidth</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>width</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public&nbsp;int&nbsp;getHeight()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getHeight--">AbstractRegion</a></code></span></div>
<div class="block">Get Y-size.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getHeight--">getHeight</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getHeight--">getHeight</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>height</dd>
</dl>
</li>
</ul>
<a name="getLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLength</h4>
<pre>public&nbsp;int&nbsp;getLength()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getLength--">AbstractRegion</a></code></span></div>
<div class="block">Get Z-size.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getLength--">getLength</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getLength--">getLength</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>length</dd>
</dl>
</li>
</ul>
<a name="expand-com.sk89q.worldedit.math.BlockVector3...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expand</h4>
<pre>public&nbsp;void&nbsp;expand(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>...&nbsp;changes)
            throws <a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#expand-com.sk89q.worldedit.math.BlockVector3...-">Region</a></code></span></div>
<div class="block">Expand the region.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>changes</code> - array/arguments with multiple related changes</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a></code></dd>
</dl>
</li>
</ul>
<a name="contract-com.sk89q.worldedit.math.BlockVector3...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contract</h4>
<pre>public&nbsp;void&nbsp;contract(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>...&nbsp;changes)
              throws <a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#contract-com.sk89q.worldedit.math.BlockVector3...-">Region</a></code></span></div>
<div class="block">Contract the region.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>changes</code> - array/arguments with multiple related changes</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a></code></dd>
</dl>
</li>
</ul>
<a name="shift-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shift</h4>
<pre>public&nbsp;void&nbsp;shift(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;change)
           throws <a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#shift-com.sk89q.worldedit.math.BlockVector3-">Region</a></code></span></div>
<div class="block">Shift the region.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#shift-com.sk89q.worldedit.math.BlockVector3-">shift</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#shift-com.sk89q.worldedit.math.BlockVector3-">shift</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>change</code> - the change</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a></code></dd>
</dl>
</li>
</ul>
<a name="getCenter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenter</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getCenter()</pre>
<div class="block">Get the center.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getCenter--">getCenter</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getCenter--">getCenter</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>center</dd>
</dl>
</li>
</ul>
<a name="setCenter-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCenter</h4>
<pre>public&nbsp;void&nbsp;setCenter(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center)</pre>
<div class="block">Set the center.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>center</code> - the center</dd>
</dl>
</li>
</ul>
<a name="getRadius--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRadius</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getRadius()</pre>
<div class="block">Get the radii.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>radii</dd>
</dl>
</li>
</ul>
<a name="setRadius-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRadius</h4>
<pre>public&nbsp;void&nbsp;setRadius(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;radius)</pre>
<div class="block">Set the radii.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>radius</code> - the radius</dd>
</dl>
</li>
</ul>
<a name="getChunks--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChunks</h4>
<pre>public&nbsp;java.util.Set&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;getChunks()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getChunks--">AbstractRegion</a></code></span></div>
<div class="block">Get a list of chunks.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#getChunks--">getChunks</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#getChunks--">getChunks</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a set of chunks</dd>
</dl>
</li>
</ul>
<a name="contains-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#contains-com.sk89q.worldedit.math.BlockVector3-">Region</a></code></span></div>
<div class="block">Returns true based on whether the region contains the point.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if contained</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns string representation in the format
 "(centerX, centerY, centerZ) - (radiusX, radiusY, radiusZ)".</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string</dd>
</dl>
</li>
</ul>
<a name="extendRadius-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extendRadius</h4>
<pre>public&nbsp;void&nbsp;extendRadius(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;minRadius)</pre>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a>&nbsp;clone()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#clone--">Region</a></code></span></div>
<div class="block">Make a clone of the region.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/Region.html#clone--">clone</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html#clone--">clone</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/regions/AbstractRegion.html" title="class in com.sk89q.worldedit.regions">AbstractRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a cloned version</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/CylinderRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/EllipsoidRegion.html" target="_top">Frames</a></li>
<li><a href="EllipsoidRegion.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.regions.AbstractRegion">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
